package com.usky.system.controller.api;

import com.usky.common.core.bean.ApiResult;
import com.usky.system.RemoteMceService;
import com.usky.system.domain.MceRequestVO;
import com.usky.system.service.MceReceiveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;


@RestController
public class SysMceControllerApi implements RemoteMceService {

    @Autowired
    private MceReceiveService mceReceiveService;

    @Override
    public ApiResult<Void> addMce(String mceInfo) {
        mceReceiveService.add(mceInfo);
        return ApiResult.success();
    }

    @Override
    public ApiResult<Void> addMceReceive(@RequestBody MceRequestVO mceRequestVO) {
        mceReceiveService.addMceReceive(mceRequestVO);
        return ApiResult.success();
    }
}
